# ORTTensorElementDataType Enumeration Reference

# ORTTensorElementDataType

Objective-C

    enum ORTTensorElementDataType : int32_t {}

Swift

    enum ORTTensorElementDataType : Int32

The ORT tensor element data types. Currently, a subset of all types is supported.

- `ORTTensorElementDataTypeUndefined`

  #### Declaration

  Objective-C

      ORTTensorElementDataTypeUndefined

  Swift

      case undefined = 0

- `ORTTensorElementDataTypeFloat`

  #### Declaration

  Objective-C

      ORTTensorElementDataTypeFloat

  Swift

      case float = 1

- `ORTTensorElementDataTypeInt8`

  #### Declaration

  Objective-C

      ORTTensorElementDataTypeInt8

  Swift

      case int8 = 2

- `ORTTensorElementDataTypeUInt8`

  #### Declaration

  Objective-C

      ORTTensorElementDataTypeUInt8

  Swift

      case uInt8 = 3

- `ORTTensorElementDataTypeInt32`

  #### Declaration

  Objective-C

      ORTTensorElementDataTypeInt32

  Swift

      case int32 = 4

- `ORTTensorElementDataTypeUInt32`

  #### Declaration

  Objective-C

      ORTTensorElementDataTypeUInt32

  Swift

      case uInt32 = 5

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.